@import url("general.css");
 
/* Stile del tasto */
.homepage-button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #337ab7;
    color: #fff;
    text-decoration: none;
    border-radius: 4px;
    font-weight: bold;
  }

  /* Stile del tasto al passaggio del mouse */
  .homepage-button:hover {
    background-color: #286090;
  }

.card {
    height: 300px;
    width: 500px;
    border-radius: 5px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: right;
    align-items: center;
    text-align: center;
    overflow: scroll;
    overflow-x: hidden;
    /* Nasconde la barra di scorrimento orizzontale */
}

.card::-webkit-scrollbar-track {
    background-color: #f1f1f1;
    /* Colore dello sfondo della barra di scorrimento */
}

.card::-webkit-scrollbar-thumb {
    background-color: #888;
    /* Colore del "pulsante" della barra di scorrimento */
    border-radius: 8px;
    /* Arrotonda i bordi del pulsante della barra di scorrimento */
}

.card::-webkit-scrollbar-thumb:hover {
    background-color: #555;
    /* Colore del "pulsante" della barra di scorrimento durante il passaggio del mouse */
}

.card img {
    height: 100%;
    width: 100%;
    object-fit: fill;
    object-position: top;
}

.card:nth-child(odd) {
    background-color: #333;
}

.card:nth-child(even) {
    background-color: lightslategray;
}

.slider-container {
    width: 80%;
    height: 350px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
}

.inner-slider {
    width: 150%;
    display: flex;
    gap: 10px;
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
}

.form-container {
    width: 20%;
    position: absolute;
    top: 30%;
    right: 5%;
}

.form-container form {
    background-color: #333;
    padding: 20px;
    border-radius: 8px;
}

.form-container label,
.form-container input,
.form-container button {
    display: block;
    margin-bottom: 10px;
}

.form-container input[type="submit"] {
    background-color: white;
    color: black;
    padding: 8px 8px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.form-container input[type="submit"]:hover {
    background-color: #45a049;
}